<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PropertyValue.ShortPropertyValue (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PropertyValue.ShortPropertyValue (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PropertyValue.ShortPropertyValue.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.NullPropertyValue.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.TimePropertyValue.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/PropertyValue.ShortPropertyValue.html"
               target="_top">Frames</a></li>
        <li><a href="PropertyValue.ShortPropertyValue.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hsmf.datatypes.PropertyValue">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hsmf.datatypes.PropertyValue">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hsmf.datatypes</div>
    <h2 title="Class PropertyValue.ShortPropertyValue" class="title">Class PropertyValue.ShortPropertyValue</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                       title="class in org.apache.poi.hsmf.datatypes">org.apache.poi.hsmf.datatypes.PropertyValue</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hsmf.datatypes.PropertyValue.ShortPropertyValue</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Enclosing class:</dt>
                    <dd><a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                           title="class in org.apache.poi.hsmf.datatypes">PropertyValue</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public static class <span class="typeNameLabel">PropertyValue.ShortPropertyValue</span>
extends <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
           title="class in org.apache.poi.hsmf.datatypes">PropertyValue</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.hsmf.datatypes.PropertyValue">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.hsmf.datatypes.<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.BooleanPropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue.BooleanPropertyValue</a>,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.CurrencyPropertyValue.html"
                                       title="class in org.apache.poi.hsmf.datatypes">PropertyValue.CurrencyPropertyValue</a>,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.DoublePropertyValue.html"
                                       title="class in org.apache.poi.hsmf.datatypes">PropertyValue.DoublePropertyValue</a>,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.FloatPropertyValue.html"
                                       title="class in org.apache.poi.hsmf.datatypes">PropertyValue.FloatPropertyValue</a>,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.LongLongPropertyValue.html"
                                       title="class in org.apache.poi.hsmf.datatypes">PropertyValue.LongLongPropertyValue</a>,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.LongPropertyValue.html"
                                       title="class in org.apache.poi.hsmf.datatypes">PropertyValue.LongPropertyValue</a>,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.NullPropertyValue.html"
                                       title="class in org.apache.poi.hsmf.datatypes">PropertyValue.NullPropertyValue</a>,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.ShortPropertyValue.html"
                                       title="class in org.apache.poi.hsmf.datatypes">PropertyValue.ShortPropertyValue</a>,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.TimePropertyValue.html"
                                       title="class in org.apache.poi.hsmf.datatypes">PropertyValue.TimePropertyValue</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hsmf.datatypes.PropertyValue">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hsmf.datatypes.<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue</a></h3>
                                <code><a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#data">data</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.ShortPropertyValue.html#ShortPropertyValue-org.apache.poi.hsmf.datatypes.MAPIProperty-long-byte:A-">ShortPropertyValue</a></span>(<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>&nbsp;property,
                                    long&nbsp;flags,
                                    byte[]&nbsp;data)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.Short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.ShortPropertyValue.html#getValue--">getValue</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.ShortPropertyValue.html#setValue-short-">setValue</a></span>(short&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hsmf.datatypes.PropertyValue">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hsmf.datatypes.<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#getActualType--">getActualType</a>,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#getFlags--">getFlags</a>,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#getProperty--">getProperty</a>,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#getRawValue--">getRawValue</a>,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#setRawValue-byte:A-">setRawValue</a>,
                                    <a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ShortPropertyValue-org.apache.poi.hsmf.datatypes.MAPIProperty-long-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ShortPropertyValue</h4>
                                <pre>public&nbsp;ShortPropertyValue(<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>&nbsp;property,
                          long&nbsp;flags,
                          byte[]&nbsp;data)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValue</h4>
                                <pre>public&nbsp;java.lang.Short&nbsp;getValue()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#getValue--">getValue</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                                                title="class in org.apache.poi.hsmf.datatypes">PropertyValue</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setValue-short-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setValue</h4>
                                <pre>public&nbsp;void&nbsp;setValue(short&nbsp;value)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PropertyValue.ShortPropertyValue.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.NullPropertyValue.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.TimePropertyValue.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/PropertyValue.ShortPropertyValue.html"
               target="_top">Frames</a></li>
        <li><a href="PropertyValue.ShortPropertyValue.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hsmf.datatypes.PropertyValue">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hsmf.datatypes.PropertyValue">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
